# Method: folders.locations.getIntelligenceConfig

- [HTTP request](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/folders.locations/getIntelligenceConfig#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/folders.locations/getIntelligenceConfig#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/folders.locations/getIntelligenceConfig#body.request_body)
- [Response body](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/folders.locations/getIntelligenceConfig#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/folders.locations/getIntelligenceConfig#body.aspect)
- [Try it!](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/folders.locations/getIntelligenceConfig#try-it)

Gets the `IntelligenceConfig` resource associated with your folder.

**IAM Permissions**:

Requires `storage.intelligenceConfigs.get` [IAM](https://cloud.google.com/iam/docs/overview#permissions) permission on the folder.

### HTTP request

`GET https://storage.googleapis.com/v2/folders/folderId/locations/global/intelligenceConfig`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the `IntelligenceConfig` resource associated with your folder. Format: `folders/folderId/locations/global/intelligenceConfig` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/devstorage.full_control`
- `https://www.googleapis.com/auth/devstorage.read_only`
- `https://www.googleapis.com/auth/devstorage.read_write`
- `https://www.googleapis.com/auth/devstorage.write_only`
- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-platform.read-only`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).